# revokeFlowPermissions

#### Function Header

```solidity
/**
 * @dev Update permissions for flow operator - revoke all permission
 * @param token The token used in flow
 * @param flowOperator The address given flow permissions
 */
function revokeFlowPermissions(
    ISuperToken token,
    address flowOperator
) internal returns (bool)
```

#### Example Usage

<pre><code>// Removing all of Alice's permissions to manage flows from the contract
<strong>
</strong><strong>someSuperToken.revokeFlowPermissions(
</strong>    alice
)
</code></pre>

{% embed url="<https://github.com/superfluid-finance/super-examples/blob/0b90a34602dc9cab4a10ac59aefebef1bf5384cd/projects/tradeable-cashflow/contracts/RedirectAll.sol#L146>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/revokeflowpermissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
